// Copyright (c) 2015-2021 LG Electronics, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// SPDX-License-Identifier: Apache-2.0

#include "eosregion.h"

EosRegion::EosRegion(QObject *parent)
    : QObject (parent)
{

}

EosRegion::~EosRegion()
{

}

void EosRegion::classBegin()
{

}

void EosRegion::componentComplete()
{
    if (m_regionRects.empty()) {
        qWarning("No EosRect(s) in EosRegion");
        return;
    }

    for (int i = 0; i < m_regionRects.size(); ++i) {
        EosRect *pRegionRect = m_regionRects.at(i);
        if (pRegionRect) {
            m_Region += pRegionRect->rect();
        }
    }
}

QQmlListProperty<EosRect> EosRegion::regionRects()
{
#if QT_VERSION >= QT_VERSION_CHECK(6, 0, 0)
    return QQmlListProperty<EosRect>(this, &m_regionRects);
#else
    return QQmlListProperty<EosRect>(this, m_regionRects);
#endif
}
